Bug 88250 - Untranslatable string "Time": Calc-Format-Number Format-Time menu item
Summary: Untranslatable string "Time": Calc-Format-Number Format-Time menu item
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-09 18:25 UTC by Serg Bormant
Modified: 2015-03-13 12:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc - Format - Number Format - Time menu item (21.20 KB, image/png)
2015-01-09 18:25 UTC, Serg Bormant
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serg Bormant 2015-01-09 18:25:59 UTC
Created attachment 112023 [details]
Calc - Format - Number Format - Time menu item

1. Start Calc
2. Choose Format - Number format submenu
3. Submenu contains untranslatable item

Time

It has no KeyID (5 symbol hash) in LO 4.4 beta2.
Comment 1 Julien Nabet 2015-01-09 22:27:47 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Serg Bormant 2015-02-27 09:02:02 UTC
Still untranslated...
LO version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 3 Julien Nabet 2015-03-01 09:38:31 UTC
I noticed these:
1) equivalent functions on sidebar are translated (http://opengrok.libreoffice.org/xref/core/sc/uiconfig/scalc/ui/sidebarnumberformat.ui)
2) there's cui/uiconfig/ui/numberingformatpage.ui but I don't know at which moment it's called
3) The untranslated strings come from officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu (to be sure, I changed "Scientific" one, run "make postprocess" and remove LO profile)

With all these, I don't know what's lacking or wrong.
Andras: any idea?
Comment 4 Serg Bormant 2015-03-13 12:16:05 UTC
Fixed.
Version:  4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55